- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Data Fields
_Ecore_Event_Signal_User Struct Reference
Ecore » Ecore main loop » Ecore Event functions

A structure that stores information of a User signal event. More...

## Data Fields
int | number
| The signal number. More...
void * | ext_data
| Extension data - not used.
siginfo_t | data
| Signal info.

## Detailed Description

A structure that stores information of a User signal event.

## Field Documentation

int _Ecore_Event_Signal_User::number

The signal number.

Either 1 or 2